Package net.shibboleth.idp.saml.xmlobject

# Class ExtensionsConstants

java.lang.Object
net.shibboleth.idp.saml.xmlobject.ExtensionsConstants

public final class ExtensionsConstants extends Object
Constants used in XMLObject extensions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SHIB_MDEXT10_NS`
URI for XML schema namespace for Shibboleth extensions to SAML metadata.
`static final String`
`SHIB_MDEXT10_PREFIX`
Namespace QName prefix for Shibboleth extensions to SAML metadata.
`static final String`
`SHIB_MDEXT10_SCHEMA_LOCATION`
Relative resource path for XML schema for Shibboleth extensions to SAML metadata.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ExtensionsConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHIB_MDEXT10_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SHIB_MDEXT10_SCHEMA_LOCATION
Relative resource path for XML schema for Shibboleth extensions to SAML metadata.

See Also:
  - Constant Field Values

### SHIB_MDEXT10_NS

@Nonnull @NotEmpty public static final String SHIB_MDEXT10_NS
URI for XML schema namespace for Shibboleth extensions to SAML metadata.

See Also:
  - Constant Field Values

### SHIB_MDEXT10_PREFIX

@Nonnull @NotEmpty public static final String SHIB_MDEXT10_PREFIX
Namespace QName prefix for Shibboleth extensions to SAML metadata.

See Also:
  - Constant Field Values

## Constructor Details

### ExtensionsConstants

private ExtensionsConstants()
Constructor.